import { Command } from '@oclif/core';
export default class Create extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        filename: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        needTTS: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        upload: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        onlyUpload: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
        options: string[];
    }[];
    run(): Promise<void>;
}
