export default class GenericBar {
    private terminal;
    private value;
    private total;
    private lastDrawnString;
    private startTime;
    private eta;
    private formatter;
    private text;
    private timer;
    private isActive;
    constructor({ total, initValue, text, bufferLength, }: {
        total: number;
        initValue: number;
        text?: string;
        bufferLength?: number;
    });
    render(): void;
    stop(): void;
    update(value: number): void;
}
